
From: Francois Romieu <romieu@fr.zoreil.com>

The returned value can not be null. Yet its description suggests differently.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pci/pci-driver.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

diff -puN drivers/pci/pci-driver.c~pci-driver-function-documentation-fix drivers/pci/pci-driver.c
--- 25/drivers/pci/pci-driver.c~pci-driver-function-documentation-fix	2004-08-21 14:13:39.853400848 -0700
+++ 25-akpm/drivers/pci/pci-driver.c	2004-08-21 14:13:39.858400088 -0700
@@ -390,10 +390,9 @@ pci_populate_driver_dir(struct pci_drive
  * pci_register_driver - register a new pci driver
  * @drv: the driver structure to register
  * 
- * Adds the driver structure to the list of registered drivers
- * Returns the number of pci devices which were claimed by the driver
- * during registration.  The driver remains registered even if the
- * return value is zero.
+ * Adds the driver structure to the list of registered drivers.
+ * Returns a negative value on error. The driver remains registered
+ * even if no device was claimed during registration.
  */
 int
 pci_register_driver(struct pci_driver *drv)
_
